API

Google Search API

The AI-powered Google provides 360° Global Media Data & Intelligence on Google Search, Google News, advertisers, SEO professionals, and content discoverability teams.

API-Referenz Version: 1.0.0 6 Endpunkte Authentifizierung
Google Monitor

Basis-URL

https://pressmonitor.com/api

Authentifizierung

Alle Anfragen erfordern die Header x-api-key und x-subscription-id. x-api-key authentifiziert Ihr Konto; x-subscription-id waehlt den abonnierten Dienst aus.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /google_autocomplete

Google Search Autocomplétion

Parameter

Name Typ Standort Erforderlich Beschreibung
text string query Ja Query text

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/google_autocomplete?text=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /google_search_web

Google Search Recherche Web

Parameter

Name Typ Standort Erforderlich Beschreibung
text string query Ja Query text
region string query Nein Region code
safesearch string query Nein SafeSearch filter
timelimit string query Nein Time limit
max_results integer query Nein Maximum number of results

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/google_search_web?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /google_search_news

Google Search Recherche Actualités

Parameter

Name Typ Standort Erforderlich Beschreibung
text string query Ja Query text
region string query Nein Region code
max_results integer query Nein Maximum number of results

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/google_search_news?text=VALUE®ion=VALUE&max_results=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /google_search_images

Google Search Recherche Images

Parameter

Name Typ Standort Erforderlich Beschreibung
text string query Ja Query text
region string query Nein Region code
safesearch string query Nein SafeSearch filter
timelimit string query Nein Time limit
max_results integer query Nein Maximum number of results
color string query Nein Color
size string query Nein Size
image_type string query Nein Image type
layout string query Nein Layout

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/google_search_images?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&color=VALUE&size=VALUE&image_type=VALUE&layout=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /google_search_videos

Google Search Recherche Vidéos

Parameter

Name Typ Standort Erforderlich Beschreibung
text string query Ja Query text
region string query Nein Region code
safesearch string query Nein SafeSearch filter
timelimit string query Nein Time limit
max_results integer query Nein Maximum number of results
resolution string query Nein Resolution
duration string query Nein Duration

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/google_search_videos?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&resolution=VALUE&duration=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /google_search_maps

Google Search Recherche Cartes

Parameter

Name Typ Standort Erforderlich Beschreibung
text string query Ja Query text
place string query Nein Place
street string query Nein Street
city string query Nein City
state string query Nein State
country string query Nein Country code
postalcode string query Nein Postalcode
latitude string query Nein Latitude
longitude string query Nein Longitude
radius string query Nein Radius

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/google_search_maps?text=VALUE&place=VALUE&street=VALUE&city=VALUE&state=VALUE&country=VALUE&postalcode=VALUE&latitude=VALUE&longitude=VALUE&radius=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success